Loading...
Searching...
No Matches
janus_ice_trickle Struct Reference

Helper to handle pending trickle candidates (e.g., when we're still waiting for an offer). More...

`#include <ice.h>`

Collaboration diagram for janus_ice_trickle:
[legend]

## Data Fields

janus_ice_handle * | handle
| Janus ICE handle this trickle candidate belongs to.
gint64 | received
| Monotonic time of when this trickle candidate has been received.
char * | transaction
| Janus API transaction ID of the original trickle request.
json_t * | candidate
| JSON object of the trickle candidate(s).

## Detailed Description

Helper to handle pending trickle candidates (e.g., when we're still waiting for an offer).

## Field Documentation

## candidate

json_t* janus_ice_trickle::candidate

JSON object of the trickle candidate(s).

## handle

janus_ice_handle* janus_ice_trickle::handle

Janus ICE handle this trickle candidate belongs to.

## received

gint64 janus_ice_trickle::received

Monotonic time of when this trickle candidate has been received.

## transaction

char* janus_ice_trickle::transaction

Janus API transaction ID of the original trickle request.

The documentation for this struct was generated from the following file:

- ice.h